%define majver %(echo %version | cut -d. -f1-2)

Name:          akonadi-calendar
Version:       16.12.1
Release:       1mamba
Summary:       KDE Frameworks 5 Akonadi calendar library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/akonadi-calendar-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libical-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Akonadi calendar library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 Akonadi calendar library

%description -n lib%{name}
KDE Frameworks 5 Akonadi calendar library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5AkonadiCalendar.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/Akonadi/Calendar
%{_kde5_includedir}/Akonadi/Calendar/*
%dir %{_kde5_includedir}/akonadi/calendar
%{_kde5_includedir}/akonadi/calendar/*
%{_kde5_includedir}/akonadi-calendar_version.h
%dir %{_kde5_libdir}/cmake/KF5AkonadiCalendar
%{_kde5_libdir}/cmake/KF5AkonadiCalendar/KF5AkonadiCalendar*.cmake
%{_kde5_libdir}/libKF5AkonadiCalendar.so
%{_libdir}/qt5/mkspecs/modules/qt_AkonadiCalendar.pri

%changelog
* Sat Jan 21 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Thu Nov 17 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Wed Oct 19 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Sun Sep 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Sun Sep 04 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Fri May 06 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Sat Feb 20 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- package created using the webbuild interface
